Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90	(revision 14336)
@@ -39,5 +39,5 @@
 CONTAINS
 
-   SUBROUTINE usr_def_nam( cd_cfg, kk_cfg, kpi, kpj, kpk, kperio )
+   SUBROUTINE usr_def_nam( cd_cfg, kk_cfg, kpi, kpj, kpk, ldIperio, ldJperio, ldNFold, cdNFtype )
       !!----------------------------------------------------------------------
       !!                     ***  ROUTINE dom_nam  ***
@@ -51,8 +51,10 @@
       !! ** input   : - namusr_def namelist found in namelist_cfg
       !!----------------------------------------------------------------------
-      CHARACTER(len=*)              , INTENT(out) ::   cd_cfg          ! configuration name
-      INTEGER                       , INTENT(out) ::   kk_cfg          ! configuration resolution
-      INTEGER                       , INTENT(out) ::   kpi, kpj, kpk   ! global domain sizes 
-      INTEGER                       , INTENT(out) ::   kperio          ! lateral global domain b.c. 
+      CHARACTER(len=*), INTENT(out) ::   cd_cfg               ! configuration name
+      INTEGER         , INTENT(out) ::   kk_cfg               ! configuration resolution
+      INTEGER         , INTENT(out) ::   kpi, kpj, kpk        ! global domain sizes
+      LOGICAL         , INTENT(out) ::   ldIperio, ldJperio   ! i- and j- periodicity
+      LOGICAL         , INTENT(out) ::   ldNFold              ! North pole folding
+      CHARACTER(len=1), INTENT(out) ::   cdNFtype             ! Folding type: T or F
       !
       INTEGER ::   ios   ! Local integer
@@ -74,5 +76,6 @@
       kpk = 75 
       !                             ! Set the lateral boundary condition of the global domain
-      kperio =  7                   ! C1D configuration : 3x3 basin with cyclic Est-West and Norht-South condition
+      ldIperio =  .TRUE.   ;   ldJperio = .TRUE.   ! C1D configuration : 3x3 basin with cyclic Est-West and Norht-South condition
+      ldNFold  = .FALSE.   ;   cdNFtype = '-'
       !
       !                             ! control print
@@ -90,6 +93,5 @@
          WRITE(numout,*) '                                               jpjglo = ', kpj
          WRITE(numout,*) '                                               jpkglo = ', kpk
-         WRITE(numout,*) '   Lateral boundary condition of the global domain'
-         WRITE(numout,*) '      C1D : closed basin                       jperio = ', kperio
+         WRITE(numout,*) '   '
       ENDIF
       !
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/NST/agrif_user.F90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/NST/agrif_user.F90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/NST/agrif_user.F90	(revision 14336)
@@ -63,5 +63,5 @@
 ! In case of East-West periodicity, prevent AGRIF interpolation at east and west boundaries
 ! The procnames will not be called at these boundaries
-      IF (jperio == 1) THEN
+      IF (l_Iperio) THEN
          CALL Agrif_Set_NearCommonBorderX(.TRUE.)
          CALL Agrif_Set_DistantCommonBorderX(.TRUE.)
@@ -872,5 +872,5 @@
       nbghostcells_y_n = nbghostcells
       !
-      IF(   jperio == 1  )   nbghostcells_x   = 0
+      IF(    l_Iperio    )   nbghostcells_x   = 0
       IF( .NOT. lk_south )   nbghostcells_y_s = 0
       IF( .NOT. lk_north )   nbghostcells_y_n = 0
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/BDY/bdyini.F90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/BDY/bdyini.F90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/BDY/bdyini.F90	(revision 14336)
@@ -166,7 +166,5 @@
       ! Check and write out namelist parameters
       ! -----------------------------------------
-      IF( jperio /= 0 )   CALL ctl_stop( 'bdy_segs: Cyclic or symmetric,',   &
-         &                               ' and general open boundary condition are not compatible' )
-
+      
       IF(lwp) WRITE(numout,*) 'Number of open boundary sets : ', nb_bdy
 
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/CRS/crsdom.F90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/CRS/crsdom.F90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/CRS/crsdom.F90	(revision 14336)
@@ -30,5 +30,5 @@
    !!       Original.   May 2012.  (J. Simeon, C. Calone, G. Madec, C. Ethe)
    !!===================================================================
-   USE dom_oce        ! ocean space and time domain and to get jperio
+   USE dom_oce        ! ocean space and time domain
    USE crs            ! domain for coarse grid
    !
@@ -2117,64 +2117,64 @@
       CASE ( 0 ) 
 
-         SELECT CASE ( jperio )
-     
- 
-        CASE ( 0, 1, 3, 4 )    !   3, 4 : T-Pivot at North Fold
-        
-            DO ji = 2, jpiglo_crsm1
-               ijie = ( ji * nn_factx ) - nn_factx   !cc
-               ijis = ijie - nn_factx + 1
-               mis2_crs(ji) = ijis
-               mie2_crs(ji) = ijie
-            ENDDO
-            IF ( jpiglo - 1 - mie2_crs(jpiglo_crsm1) <= nn_factx ) mie2_crs(jpiglo_crsm1) = jpiglo - 2  
-
-            ! Handle first the northernmost bin
-            IF ( nn_facty == 2 ) THEN   ;    ijjgloT = jpjglo - 1 
-            ELSE                        ;    ijjgloT = jpjglo
-            ENDIF
-
-            DO jj = 2, jpjglo_crs
-                ijje = ijjgloT - nn_facty * ( jj - 3 )
-                ijjs = ijje - nn_facty + 1                   
-                mjs2_crs(jpjglo_crs-jj+2) = ijjs
-                mje2_crs(jpjglo_crs-jj+2) = ijje
-            ENDDO
-
-         CASE ( 2 ) 
-            WRITE(numout,*)  'crs_init, jperio=2 not supported' 
-        
-         CASE ( 5, 6 )    ! F-pivot at North Fold
-
-            DO ji = 2, jpiglo_crsm1
-               ijie = ( ji * nn_factx ) - nn_factx 
-               ijis = ijie - nn_factx + 1
-               mis2_crs(ji) = ijis
-               mie2_crs(ji) = ijie
-            ENDDO
-            IF ( jpiglo - 1 - mie2_crs(jpiglo_crsm1) <= nn_factx ) mie_crs(jpiglo_crsm1)  = jpiglo - 2 
-
-            ! Treat the northernmost bin separately.
-            jj = 2
-            ijje = jpj - nn_facty * ( jj - 2 )
-            IF ( nn_facty == 3 ) THEN   ;  ijjs = ijje - 1 
-            ELSE                        ;  ijjs = ijje - nn_facty + 1
-            ENDIF
-            mjs2_crs(jpj_crs-jj+1) = ijjs
-            mje2_crs(jpj_crs-jj+1) = ijje
-
-            ! Now bin the rest, any remainder at the south is lumped in the southern bin
-            DO jj = 3, jpjglo_crsm1
-                ijje = jpjglo - nn_facty * ( jj - 2 )
-                ijjs = ijje - nn_facty + 1                  
-                IF ( ijjs <= nn_facty )  ijjs = 2
-                mjs2_crs(jpj_crs-jj+1)   = ijjs
-                mje2_crs(jpj_crs-jj+1)   = ijje
-            ENDDO
-
-         CASE DEFAULT
-            WRITE(numout,*) 'crs_init. Only jperio = 0, 1, 3, 4, 5, 6 supported' 
- 
-         END SELECT
+!!$         SELECT CASE ( jperio )
+!!$     
+!!$ 
+!!$        CASE ( 0, 1, 3, 4 )    !   3, 4 : T-Pivot at North Fold
+!!$        
+!!$            DO ji = 2, jpiglo_crsm1
+!!$               ijie = ( ji * nn_factx ) - nn_factx   !cc
+!!$               ijis = ijie - nn_factx + 1
+!!$               mis2_crs(ji) = ijis
+!!$               mie2_crs(ji) = ijie
+!!$            ENDDO
+!!$            IF ( jpiglo - 1 - mie2_crs(jpiglo_crsm1) <= nn_factx ) mie2_crs(jpiglo_crsm1) = jpiglo - 2  
+!!$
+!!$            ! Handle first the northernmost bin
+!!$            IF ( nn_facty == 2 ) THEN   ;    ijjgloT = jpjglo - 1 
+!!$            ELSE                        ;    ijjgloT = jpjglo
+!!$            ENDIF
+!!$
+!!$            DO jj = 2, jpjglo_crs
+!!$                ijje = ijjgloT - nn_facty * ( jj - 3 )
+!!$                ijjs = ijje - nn_facty + 1                   
+!!$                mjs2_crs(jpjglo_crs-jj+2) = ijjs
+!!$                mje2_crs(jpjglo_crs-jj+2) = ijje
+!!$            ENDDO
+!!$
+!!$         CASE ( 2 ) 
+!!$            WRITE(numout,*)  'crs_init, jperio=2 not supported' 
+!!$        
+!!$         CASE ( 5, 6 )    ! F-pivot at North Fold
+!!$
+!!$            DO ji = 2, jpiglo_crsm1
+!!$               ijie = ( ji * nn_factx ) - nn_factx 
+!!$               ijis = ijie - nn_factx + 1
+!!$               mis2_crs(ji) = ijis
+!!$               mie2_crs(ji) = ijie
+!!$            ENDDO
+!!$            IF ( jpiglo - 1 - mie2_crs(jpiglo_crsm1) <= nn_factx ) mie_crs(jpiglo_crsm1)  = jpiglo - 2 
+!!$
+!!$            ! Treat the northernmost bin separately.
+!!$            jj = 2
+!!$            ijje = jpj - nn_facty * ( jj - 2 )
+!!$            IF ( nn_facty == 3 ) THEN   ;  ijjs = ijje - 1 
+!!$            ELSE                        ;  ijjs = ijje - nn_facty + 1
+!!$            ENDIF
+!!$            mjs2_crs(jpj_crs-jj+1) = ijjs
+!!$            mje2_crs(jpj_crs-jj+1) = ijje
+!!$
+!!$            ! Now bin the rest, any remainder at the south is lumped in the southern bin
+!!$            DO jj = 3, jpjglo_crsm1
+!!$                ijje = jpjglo - nn_facty * ( jj - 2 )
+!!$                ijjs = ijje - nn_facty + 1                  
+!!$                IF ( ijjs <= nn_facty )  ijjs = 2
+!!$                mjs2_crs(jpj_crs-jj+1)   = ijjs
+!!$                mje2_crs(jpj_crs-jj+1)   = ijje
+!!$            ENDDO
+!!$
+!!$         CASE DEFAULT
+!!$            WRITE(numout,*) 'crs_init. Only jperio = 0, 1, 3, 4, 5, 6 supported' 
+!!$ 
+!!$         END SELECT
 
       CASE (1 )
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/dom_oce.F90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/dom_oce.F90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/dom_oce.F90	(revision 14336)
@@ -65,13 +65,7 @@
    !! space domain parameters
    !!----------------------------------------------------------------------
-   INTEGER, PUBLIC ::   jperio   !: Global domain lateral boundary type (between 0 and 7)
-   !                                !  = 0 closed                 ;   = 1 cyclic East-West
-   !                                !  = 2 cyclic North-South     ;   = 3 North fold T-point pivot
-   !                                !  = 4 cyclic East-West AND North fold T-point pivot
-   !                                !  = 5 North fold F-point pivot
-   !                                !  = 6 cyclic East-West AND North fold F-point pivot
-   !                                !  = 7 bi-cyclic East-West AND North-South
-   LOGICAL, PUBLIC ::   l_Iperio, l_Jperio   !   should we explicitely take care I/J periodicity
-   LOGICAL, PUBLIC ::   l_NFoldT, l_NFoldF
+   LOGICAL         , PUBLIC ::   l_Iperio, l_Jperio   ! i- j-periodicity
+   LOGICAL         , PUBLIC ::   l_NFold              ! North Pole folding
+   CHARACTER(len=3), PUBLIC ::   c_NFtype             ! type of North pole Folding: T or F point
 
    ! Tiling namelist
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/domain.F90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/domain.F90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/domain.F90	(revision 14336)
@@ -113,19 +113,11 @@
          WRITE(numout,*)     '              jpnj    : ', jpnj, '   nn_hls  : ', nn_hls
          WRITE(numout,*)     '              jpnij   : ', jpnij
-         WRITE(numout,*)     '      lateral boundary of the Global domain : jperio  = ', jperio
-         SELECT CASE ( jperio )
-         CASE( 0 )   ;   WRITE(numout,*) '         (i.e. closed)'
-         CASE( 1 )   ;   WRITE(numout,*) '         (i.e. cyclic east-west)'
-         CASE( 2 )   ;   WRITE(numout,*) '         (i.e. cyclic north-south)'
-         CASE( 3 )   ;   WRITE(numout,*) '         (i.e. north fold with T-point pivot)'
-         CASE( 4 )   ;   WRITE(numout,*) '         (i.e. cyclic east-west and north fold with T-point pivot)'
-         CASE( 5 )   ;   WRITE(numout,*) '         (i.e. north fold with F-point pivot)'
-         CASE( 6 )   ;   WRITE(numout,*) '         (i.e. cyclic east-west and north fold with F-point pivot)'
-         CASE( 7 )   ;   WRITE(numout,*) '         (i.e. cyclic east-west and north-south)'
-         CASE DEFAULT
-            CALL ctl_stop( 'dom_init:   jperio is out of range' )
-         END SELECT
+         WRITE(numout,*)     '      lateral boundary of the Global domain:'
+         WRITE(numout,*)     '              cyclic east-west             :', l_Iperio
+         WRITE(numout,*)     '              cyclic north-south           :', l_Jperio
+         WRITE(numout,*)     '              North Pole folding           :', l_NFold
+         WRITE(numout,*)     '                 type of North pole Folding:', c_NFtype
          WRITE(numout,*)     '      Ocean model configuration used:'
-         WRITE(numout,*)     '         cn_cfg = ', TRIM( cn_cfg ), '   nn_cfg = ', nn_cfg
+         WRITE(numout,*)     '              cn_cfg = ', TRIM( cn_cfg ), '   nn_cfg = ', nn_cfg
       ENDIF
 
@@ -622,5 +614,5 @@
 
 
-   SUBROUTINE domain_cfg( cd_cfg, kk_cfg, kpi, kpj, kpk, kperio )
+   SUBROUTINE domain_cfg( cd_cfg, kk_cfg, kpi, kpj, kpk, ldIperio, ldJperio, ldNFold, cdNFtype )
       !!----------------------------------------------------------------------
       !!                     ***  ROUTINE domain_cfg  ***
@@ -630,12 +622,14 @@
       !! ** Method  :   read the cn_domcfg NetCDF file
       !!----------------------------------------------------------------------
-      CHARACTER(len=*)              , INTENT(out) ::   cd_cfg          ! configuration name
-      INTEGER                       , INTENT(out) ::   kk_cfg          ! configuration resolution
-      INTEGER                       , INTENT(out) ::   kpi, kpj, kpk   ! global domain sizes
-      INTEGER                       , INTENT(out) ::   kperio          ! lateral global domain b.c.
-      !
-      INTEGER ::   inum   ! local integer
+      CHARACTER(len=*), INTENT(out) ::   cd_cfg               ! configuration name
+      INTEGER         , INTENT(out) ::   kk_cfg               ! configuration resolution
+      INTEGER         , INTENT(out) ::   kpi, kpj, kpk        ! global domain sizes
+      LOGICAL         , INTENT(out) ::   ldIperio, ldJperio   ! i- and j- periodicity
+      LOGICAL         , INTENT(out) ::   ldNFold              ! North pole folding
+      CHARACTER(len=1), INTENT(out) ::   cdNFtype             ! Folding type: T or F
+      !
+      INTEGER ::   inum, iperio                   ! local integer
       REAL(wp) ::   zorca_res                     ! local scalars
-      REAL(wp) ::   zperio                        !   -      -
+      REAL(wp) ::   zperio, z01                   !   -      -
       INTEGER, DIMENSION(4) ::   idvar, idimsz    ! size   of dimensions
       !!----------------------------------------------------------------------
@@ -678,5 +672,26 @@
       kpj = idimsz(2)
       kpk = idimsz(3)
-      CALL iom_get( inum, 'jperio', zperio )   ;   kperio = NINT( zperio )
+      !
+      IF( iom_varid( inum, 'jperio', ldstop = .FALSE. ) > 0 ) THEN                   ! keep compatibility with old version...
+         CALL iom_get( inum, 'jperio', zperio )   ;   iperio = NINT( zperio )
+         ldIperio = iperio == 1 .OR. iperio == 4 .OR. iperio == 6 .OR. iperio == 7   ! i-periodicity
+         ldJperio = iperio == 2 .OR. iperio == 7                                     ! j-periodicity
+         ldNFold  = iperio >= 3 .OR. iperio <= 6                                     ! North pole folding
+         IF(     iperio == 3 .OR. iperio == 4 ) THEN   ;   cdNFtype = 'T'            !    folding at T point
+         ELSEIF( iperio == 5 .OR. iperio == 6 ) THEN   ;   cdNFtype = 'F'            !    folding at F point
+         ELSE                                          ;   cdNFtype = '-'  
+         ENDIF
+      ELSE   
+         z01 = 0._wp   ;   IF( iom_varid( inum, 'Iperio', ldstop = .FALSE. ) > 0 )   CALL iom_get( inum, 'Iperio', z01 )
+         ldIperio = NINT(z01) == 1               ! i-periodicity
+         z01 = 0._wp   ;   IF( iom_varid( inum, 'Jperio', ldstop = .FALSE. ) > 0 )   CALL iom_get( inum, 'Jperio', z01 )
+         ldJperio = NINT(z01) == 1               ! j-periodicity
+         cdNFtype = '-'                          ! default definition
+         z01 = 0._wp   ;   IF( iom_varid( inum, 'NFoldT', ldstop = .FALSE. ) > 0 )   CALL iom_get( inum, 'NFoldT', z01 )
+         IF( NINT(z01) == 1 )   cdNFtype = 'T'   ! folding at T point
+         z01 = 0._wp   ;   IF( iom_varid( inum, 'NFoldF', ldstop = .FALSE. ) > 0 )   CALL iom_get( inum, 'NFoldF', z01 )
+         IF( NINT(z01) == 1 )   cdNFtype = 'F'   ! folding at T point
+         ldNFold = cdNFtype /= '-'               ! North pole folding   
+      ENDIF
       CALL iom_close( inum )
       !
@@ -686,5 +701,4 @@
          WRITE(numout,*) '      Nj0glo = ', kpj
          WRITE(numout,*) '      jpkglo = ', kpk
-         WRITE(numout,*) '      type of global domain lateral boundary   jperio = ', kperio
       ENDIF
       !
@@ -733,5 +747,8 @@
       !
       !                                   ! lateral boundary of the global domain
-      CALL iom_rstput( 0, 0, inum, 'jperio', REAL( jperio, wp), ktype = jp_i4 )
+      CALL iom_rstput( 0, 0, inum, 'Iperio', REAL( COUNT( (/l_Iperio/) ), wp), ktype = jp_i1 )
+      CALL iom_rstput( 0, 0, inum, 'Jperio', REAL( COUNT( (/l_Jperio/) ), wp), ktype = jp_i1 )
+      CALL iom_rstput( 0, 0, inum, 'NFoldT', REAL( COUNT( (/c_NFtype == 'T'/) ), wp), ktype = jp_i1 )
+      CALL iom_rstput( 0, 0, inum, 'NFoldF', REAL( COUNT( (/c_NFtype == 'F'/) ), wp), ktype = jp_i1 )
       !
       !                                   ! type of vertical coordinate
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/domwri.F90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/domwri.F90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/domwri.F90	(revision 14336)
@@ -75,5 +75,8 @@
       CALL iom_open( TRIM(clnam), inum, ldwrt = .TRUE. )
       !                                                         ! domain characteristics
-      CALL iom_rstput( 0, 0, inum, 'jperio', REAL( jperio, wp), ktype = jp_i4 )
+      CALL iom_rstput( 0, 0, inum, 'Iperio', REAL( COUNT( (/l_Iperio/) ), wp), ktype = jp_i1 )
+      CALL iom_rstput( 0, 0, inum, 'Jperio', REAL( COUNT( (/l_Jperio/) ), wp), ktype = jp_i1 )
+      CALL iom_rstput( 0, 0, inum, 'NFoldT', REAL( COUNT( (/c_NFtype == 'T'/) ), wp), ktype = jp_i1 )
+      CALL iom_rstput( 0, 0, inum, 'NFoldF', REAL( COUNT( (/c_NFtype == 'F'/) ), wp), ktype = jp_i1 )
       !                                                         ! type of vertical coordinate
       IF( ln_zco    ) THEN   ;   izco = 1   ;   ELSE   ;   izco = 0   ;   ENDIF
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/domzgr.F90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/domzgr.F90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/DOM/domzgr.F90	(revision 14336)
@@ -115,12 +115,12 @@
       !
       zmsk(:,:) = 1._wp                                       ! default: no closed boundaries
-      IF( jperio == 0 .OR. jperio == 2 .OR. jperio == 3 .OR. jperio == 5 ) THEN   ! E-W closed
+      IF( .NOT. l_Iperio ) THEN                                    ! E-W closed:
          zmsk(  mi0(     1+nn_hls):mi1(     1+nn_hls),:) = 0._wp   ! first column of inner global domain at 0
          zmsk(  mi0(jpiglo-nn_hls):mi1(jpiglo-nn_hls),:) = 0._wp   ! last  column of inner global domain at 0 
       ENDIF
-      IF( .NOT. ( jperio == 2 .OR. jperio == 7 ) ) THEN                           ! S closed
+      IF( .NOT. l_Jperio ) THEN                                    ! S closed:
          zmsk(:,mj0(     1+nn_hls):mj1(     1+nn_hls)  ) = 0._wp   ! first   line of inner global domain at 0
       ENDIF
-      IF( jperio == 0 .OR. jperio == 1 ) THEN                                     ! N closed
+      IF( .NOT. ( l_Jperio .OR. l_NFold ) ) THEN                   ! N closed:
          zmsk(:,mj0(jpjglo-nn_hls):mj1(jpjglo-nn_hls)  ) = 0._wp   ! last    line of inner global domain at 0
       ENDIF
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/lbc_nfd_ext_generic.h90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/lbc_nfd_ext_generic.h90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/lbc_nfd_ext_generic.h90	(revision 14336)
@@ -43,5 +43,5 @@
       DO jf = 1, ipf                      ! Loop on the number of arrays to be treated
          !
-         IF( l_NFoldT ) THEN                   ! *  North fold  T-point pivot
+         IF( c_NFtype == 'T' ) THEN            ! *  North fold  T-point pivot
             !
             SELECT CASE ( NAT_IN(jf)  )
@@ -94,7 +94,7 @@
             END SELECT
             !
-         ENDIF   ! l_NFoldT
+         ENDIF   ! c_NFtype == 'T'
          !
-         IF( l_NFoldF ) THEN                   ! *  North fold  F-point pivot
+         IF( c_NFtype == 'F' ) THEN            ! *  North fold  F-point pivot
             !
             SELECT CASE ( NAT_IN(jf)  )
@@ -139,5 +139,5 @@
             END SELECT
             !
-         ENDIF   ! l_NFoldF
+         ENDIF   ! c_NFtype == 'F'
          !
       END DO
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/lbc_nfd_generic.h90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/lbc_nfd_generic.h90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/lbc_nfd_generic.h90	(revision 14336)
@@ -94,5 +94,5 @@
       DO jf = 1, ipf                      ! Loop on the number of arrays to be treated
          !
-         IF( l_NFoldT ) THEN                   ! *  North fold  T-point pivot
+         IF( c_NFtype == 'T' ) THEN            ! *  North fold  T-point pivot
             !
             SELECT CASE ( NAT_IN(jf)  )
@@ -261,7 +261,7 @@
             END SELECT   ! NAT_IN(jf)
             !
-         ENDIF   ! l_NFoldT
+         ENDIF   ! c_NFtype == 'T'
          !
-         IF( l_NFoldF ) THEN                   ! *  North fold  F-point pivot
+         IF( c_NFtype == 'F' ) THEN            ! *  North fold  F-point pivot
             !
             SELECT CASE ( NAT_IN(jf)  )
@@ -453,5 +453,5 @@
             END SELECT   ! NAT_IN(jf)
             !
-         ENDIF   ! l_NFoldF
+         ENDIF   ! c_NFtype == 'F'
          !
       END DO   ! ipf
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/lbc_nfd_nogather_generic.h90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/lbc_nfd_nogather_generic.h90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/lbc_nfd_nogather_generic.h90	(revision 14336)
@@ -109,5 +109,5 @@
       DO jf = 1, ipf                      ! Loop over the number of arrays to be processed
          !
-         IF( l_NFoldT ) THEN                 ! *  North fold  T-point pivot
+         IF( c_NFtype == 'T' ) THEN          ! *  North fold  T-point pivot
             !
             SELECT CASE ( NAT_IN(jf) )
@@ -305,7 +305,7 @@
             END SELECT
             !
-         ENDIF   ! l_NFoldT
+         ENDIF   ! c_NFtype == 'T'
          !
-         IF( l_NFoldF ) THEN                  ! *  North fold  F-point pivot
+         IF( c_NFtype == 'F' ) THEN           ! *  North fold  F-point pivot
             !
             SELECT CASE ( NAT_IN(jf) )
@@ -429,5 +429,5 @@
             END SELECT
             !
-         ENDIF   ! l_NFoldF
+         ENDIF   ! c_NFtype == 'F'
          !
       END DO            ! End jf loop
Index: /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/mpp_nfd_generic.h90
===================================================================
--- /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/mpp_nfd_generic.h90	(revision 14335)
+++ /NEMO/branches/2021/dev_r14312_MPI_Interface/src/OCE/LBC/mpp_nfd_generic.h90	(revision 14336)
@@ -118,12 +118,12 @@
          !
          ! However, some other points are duplicated in the north pole folding:
-         !  - jperio=[34], grid=T : half of the last line (jpiglo/2+2:jpiglo-nn_hls)
-         !  - jperio=[34], grid=U : half of the last line (jpiglo/2+1:jpiglo-nn_hls)
-         !  - jperio=[34], grid=V : all the last line nn_hls+1 and (nn_hls+2:jpiglo-nn_hls)
-         !  - jperio=[34], grid=F : all the last line (nn_hls+1:jpiglo-nn_hls)
-         !  - jperio=[56], grid=T : 2 points of the last line (jpiglo/2+1 and jpglo-nn_hls)
-         !  - jperio=[56], grid=U : no points are duplicated
-         !  - jperio=[56], grid=V : half of the last line (jpiglo/2+1:jpiglo-nn_hls)
-         !  - jperio=[56], grid=F : half of the last line (jpiglo/2+1:jpiglo-nn_hls-1)
+         !  - c_NFtype='T', grid=T : half of the last line (jpiglo/2+2:jpiglo-nn_hls)
+         !  - c_NFtype='T', grid=U : half of the last line (jpiglo/2+1:jpiglo-nn_hls)
+         !  - c_NFtype='T', grid=V : all the last line nn_hls+1 and (nn_hls+2:jpiglo-nn_hls)
+         !  - c_NFtype='T', grid=F : all the last line (nn_hls+1:jpiglo-nn_hls)
+         !  - c_NFtype='F', grid=T : 2 points of the last line (jpiglo/2+1 and jpglo-nn_hls)
+         !  - c_NFtype='F', grid=U : no points are duplicated
+         !  - c_NFtype='F', grid=V : half of the last line (jpiglo/2+1:jpiglo-nn_hls)
+         !  - c_NFtype='F', grid=F : half of the last line (jpiglo/2+1:jpiglo-nn_hls-1)
          ! The order of the calculations may differ for these duplicated points (as, for example jj+1 becomes jj-1)
          ! This explain why these duplicated points may have different values even if they are at the exact same location.
@@ -141,5 +141,5 @@
          IF( ll_add_line ) THEN
             DO jf = 1, ipf                      ! Loop over the number of arrays to be processed
-               ipj_s(jf) = nn_hls + COUNT( (/ l_NFoldT .OR. NAT_IN(jf) == 'V' .OR. NAT_IN(jf) == 'F' /) ) 
+               ipj_s(jf) = nn_hls + COUNT( (/ c_NFtype == 'T' .OR. NAT_IN(jf) == 'V' .OR. NAT_IN(jf) == 'F' /) ) 
             END DO
          ELSE
@@ -155,5 +155,5 @@
          DO jf = 1, ipf                      ! Loop over the number of arrays to be processed
             !
-            IF( l_NFoldT ) THEN          ! *  North fold  T-point pivot
+            IF( c_NFtype == 'T' ) THEN          ! *  North fold  T-point pivot
                SELECT CASE ( NAT_IN(jf) )
                CASE ( 'T', 'W', 'U' )   ;   i012 = 1   ! T-, U-, W-point
@@ -161,5 +161,5 @@
                END SELECT
             ENDIF
-            IF( l_NFoldF ) THEN          ! *  North fold  F-point pivot
+            IF( c_NFtype == 'F' ) THEN          ! *  North fold  F-point pivot
                SELECT CASE ( NAT_IN(jf) )
                CASE ( 'T', 'W', 'U' )   ;   i012 = 0   ! T-, U-, W-point
